#!/bin/sh
# executed by cron every day at 23:59
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
APPL=/usr/local/bin/amavis-passed.pl

# recipient list, pairs of PATTERN (egrep-like) and MAILTO
RCPT="
(joe@|jack@|jill@) joe
(jim@degnet.net|jim@2fast4u.net|jimmy@) jim
uf@phi.net uf@phi.net
"

DATE=`date '+%b %-d'`	# current date
sleep 60		# wait 'till tomorrow :)

set $RCPT
while [ "$2" ]
do
	$APPL "$1" $DATE | ( sudo -u amavis mail -s "AMaViS Passed Messages Report ($DATE)" $2 )
	shift 2
done
